MVSFTPEntryParser
Date: 2016-06-23

org.apache.commons.net.ftp.parser

## Class MVSFTPEntryParser

- java.lang.Object
- - org.apache.commons.net.ftp.FTPFileEntryParserImpl
  - - org.apache.commons.net.ftp.parser.RegexFTPFileEntryParserImpl
    - - org.apache.commons.net.ftp.parser.ConfigurableFTPFileEntryParserImpl
      - - org.apache.commons.net.ftp.parser.MVSFTPEntryParser

- All Implemented Interfaces:
    Configurable, FTPFileEntryParser

      public class MVSFTPEntryParser
      extends ConfigurableFTPFileEntryParserImpl

  Implementation of FTPFileEntryParser and FTPFileListParser for IBM zOS/MVS Systems.
  See Also:
    `FTPFileEntryParser (for usage instructions)`

- - ### Field Summary

    - ### Fields inherited from class org.apache.commons.net.ftp.parser.RegexFTPFileEntryParserImpl

      `_matcher_`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MVSFTPEntryParser()` The sole constructor for a MVSFTPEntryParser object.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected FTPClientConfig` | `getDefaultConfiguration()` Each concrete subclass must define this member to create a default configuration to be used when that subclass is instantiated without a `FTPClientConfig` parameter being specified.
    `FTPFile` | `parseFTPEntry(java.lang.String entry)` Parses a line of an z/OS - MVS FTP server file listing and converts it into a usable format in the form of an `FTPFile` instance.
    `java.util.List<java.lang.String>` | `preParse(java.util.List<java.lang.String> orig)` preParse is called as part of the interface.

    - ### Methods inherited from class org.apache.commons.net.ftp.parser.ConfigurableFTPFileEntryParserImpl

      `configure, parseTimestamp`

    - ### Methods inherited from class org.apache.commons.net.ftp.parser.RegexFTPFileEntryParserImpl

      `getGroupCnt, getGroupsAsString, group, matches, setRegex, setRegex`

    - ### Methods inherited from class org.apache.commons.net.ftp.FTPFileEntryParserImpl

      `readNextEntry`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MVSFTPEntryParser

          public MVSFTPEntryParser()

      The sole constructor for a MVSFTPEntryParser object.

  - ### Method Detail

    - #### parseFTPEntry

          public FTPFile parseFTPEntry(java.lang.String entry)

      Parses a line of an z/OS - MVS FTP server file listing and converts it into a usable format in the form of an `FTPFile` instance. If the file listing line doesn't describe a file, then `null` is returned. Otherwise a `FTPFile` instance representing the file is returned.
      Parameters:
        `entry` - A line of text from the file listing
      Returns:
        An FTPFile instance corresponding to the supplied entry

    - #### preParse

          public java.util.List<java.lang.String> preParse(java.util.List<java.lang.String> orig)

      preParse is called as part of the interface. Per definition is is called before the parsing takes place. Three kind of lists is recognize: z/OS-MVS File lists z/OS-MVS Member lists unix file lists
      Specified by:
        `preParse` in interface `FTPFileEntryParser`
      Overrides:
        `preParse` in class `FTPFileEntryParserImpl`
      Parameters:
        `orig` - Original list after it has been created from the server stream
      Returns:
        `original` unmodified.
      Since:
        2.0

    - #### getDefaultConfiguration

          protected FTPClientConfig getDefaultConfiguration()

      Description copied from class: `ConfigurableFTPFileEntryParserImpl`
      Each concrete subclass must define this member to create a default configuration to be used when that subclass is instantiated without a `FTPClientConfig` parameter being specified.
      Specified by:
        `getDefaultConfiguration` in class `ConfigurableFTPFileEntryParserImpl`
      Returns:
        the default configuration for the subclass.